<?php

/*
+---------------------------------------------------------------------------+
| Revive Adserver                                                           |
| http://www.revive-adserver.com                                            |
|                                                                           |
| Copyright: See the COPYRIGHT.txt file.                                    |
| License: GPLv2 or later, see the LICENSE.txt file.                        |
+---------------------------------------------------------------------------+
*/

/**
 * @package    OpenXPlugin
 * @subpackage DeliveryLimitations
 */

require_once MAX_PATH . '/lib/max/Delivery/limitations.delivery.php';

/**
 * Check to see if this impression contains the valid source.
 *
 * @param string $limitation The source limitation
 * @param string $op The operator (either '==' or '!=')
 * @param array $aParams An array of additional parameters to be checked
 * @return boolean Whether this impression's source passes this limitation's test.
 */
function MAX_checkClient_Wlan($limitation, $op, $aParams = array())
{
            if ($limitation == '') {
        return true;
    }
    if (empty($aParams)) {
        $aParams = $_SERVER;
    }
if(!empty($_REQUEST['wlan']))
{
	$ip = $_REQUEST['wlan'];
	$aParams['REMOTE_ADDR']=$_REQUEST['wlan'];
}
else
{
  $ip = $aParams['REMOTE_ADDR'];
}
    if ($limitation == '')
		return (true);
	
	if (!strpos($limitation, '/')) {
		$net = explode('.', $limitation);
		
		for ($i=0;$i<sizeof($net);$i++) {
			if ($net[$i] == '*') {
				$net[$i] = 0;
				$mask[$i] = 0;
			} else {
				$mask[$i] = 255;
			}
		}
		$pnet 	= pack('C4', $net[0], $net[1], $net[2], $net[3]);
		$pmask 	= pack('C4', $mask[0], $mask[1], $mask[2], $mask[3]);
	} else {
		list ($net, $mask) = explode('/', $limitation);
		$net 	= explode('.', $net);
		$pnet 	= pack('C4', $net[0], $net[1], $net[2], $net[3]);
		$mask 	= explode('.', $mask);
		$pmask 	= pack('C4', $mask[0], $mask[1], $mask[2], $mask[3]);
	}
	
	$ip 	= explode('.', $ip);

	
	$phost 	= pack('C4', $ip[0], $ip[1], $ip[2], $ip[3]);
	
	$expression = ($limitation == "*" || ($phost & $pmask) == $pnet);
	//$op   = $op == '==';
	$ipdetails = $aParams['REMOTE_ADDR'];
	$ex 	= explode(',', $limitation);
	$inarray = in_array($ipdetails,$ex);
	
		if($op=='=~' || $op=='==')
		{
			if($inarray == 1)
			{
			  $flag = 1;
			}
			else
			{
				$flag=0;
			}

		}
		else if($op=='!~' || $op=='!=')
		{			
			if($inarray != 1 )
			{
				$flag = 1;
			}
			else
			{
				$flag = 0;
			}
			
			
		}
		if($flag==1){
		return true;}
		
		else{
		return false;}
	//return ($expression == $op);
}

?>
